#Saisie de la production en courant d'un parc éolien P1 par mois
P1<-c(11,24,10,12,11,15,7,11,8,13,9,20) #vecteur numeric
mois<-c("janvier", "février", "mars","avril", "mai","juin","juillet","août",
        "septembre","octobre","novembre","décembre") #vecteur character
ProdP1<-data.frame(Mois=mois,Prod=P1) #jeux de données (list)

#Affichage simple des variables P1
P1
mois
ProdP1

#Affichage du 4ème mois et de sa production
mois[4]
P1[4]
ProdP1[4,]

#Affichage des valeurs extrêmes
min(P1)
max(P1)

#Calcul de la production totale de P1 sur 1 an
Ptot<-sum(P1)
Ptot

#Calcul de la production cumulée de P1 sur 1 an
Pcum<-cumsum(P1)y
Pcum

#Calcul de la moyenne de la production de P1
Pmoy<-mean(P1)
Pmoy

str(ProdP1)
str(ProdP1$Mois)
str(ProdP1$Prod)

summary(ProdP1)

#Graphiques de la production sur les 12 mois
plot(ProdP1$Prod)
barplot(ProdP1$Prod)
boxplot(ProdP1$Prod)


ProdP1$MoisNum<-seq(1,12,by=1) #Ajout d'une colonne OU
#ProdP1$MoisNum<-c(1,2,3,4,5,6,7,8,9,10,11,12)

plot(ProdP1$MoisNum, ProdP1$Prod,type="b",
  col="red", xlim=c(1,12),ylim=c(0,30),
   yaxs="i", 
  main = "Production électrique mensuelle", cex.main = 2,
  xlab="Mois",ylab="Courant I (A)", col.lab="blue",xaxp = c(1,12,11),
  font.lab=2)

abline(h=mean(ProdP1$Prod),col="green", lty=2, lwd=3)
legend("topright", legend=c("Parc P1","Valeur moyenne"), col=c("red","green"),
       lty=1:2, cex=0.6)
text(8.5,15,paste0("moy=",round(mean(ProdP1$Prod),2), "(A)"), col="green", 
     cex=0.8)

ProdP1<-as_tibble(ProdP1)
ProdP1
