# Chargement des extensions
library(tidyverse)
library(readxl)

# Chargement des donnes
EngieParcs <- read.csv("C:/Users/Hyperion/Documents/Ecole/ESIEE/Analyse de donnes/ProductionP1P7.csv", header=TRUE, sep=";")
test <- as.Date(EngieParcs$Date, format="%Y/%m/%d %H:%M")

Parcs <- readxl::read_excel("C:/Users/Hyperion/Documents/Ecole/ESIEE/Analyse de donnes/TP1/Parcs.xlsx")

# Recodage des donnes
Parcs <-tibble::as_tibble(Parcs)
Parcs$I <- as.numeric(Parcs$I)
Parcs$Parc <- factor(Parcs$Parc)

# Exemples des verbes d'actions
# Les donnes du parc P1 ranges dans le tibble P1
P1 <- Parcs %>%
  dplyr::filter(Parc=="P1")

# Ajout d'une colonne pour la puissance produite (tension de 20 kV)
Parcs <- Parcs %>%
  dplyr::mutate(Puissance=I*20000)

# A dterminer
Parcs %>%
  filter(Mois=="janvier" | Mois=="fvrier") %>%
  filter(Puissance > 220000 & Puissance <= 400000) %>%
  select(-I) %>%
  arrange(desc(Puissance))


# Grouper par mois et slectionner la puissance la plus grande
Parcs %>%
  group_by(Mois) %>%
  filter(Puissance==max(Puissance, na.rm=TRUE))

Parcs %>%
  group_by(Mois) %>%
  summarise(Pmax=max(Puissance, na.rm=TRUE),
            Pmin=min(Puissance, na.rm=TRUE),
            Pmoy=mean(Puissance, na.rm=TRUE),
            Pmed=median(Puissance, na.rm=TRUE))

Parcs %>%
  group_by(Parc) %>%
  summarise(Psum=sum(Puissance, na.rm=TRUE)) %>%
  ungroup() %>%
  mutate(Pourcentage=Psum/sum(Psum) * 100)

