# Saisie de la production en courant d'un parc olien P1 par mois
# Vecteur numrique
P1 <- c(11, 24, 10, 12, 11, 15, 7, 11, 8, 13, 9, 20)

# Vecteur string
mois <- c("janvier", "fvrier", "mars", "avril", "mai", "juin", "juillet",
          "aot", "septembre", "octobre", "novembre", "dcembre")

# Jeu de donnes (list)
ProdP1 <- data.frame(Mois=mois, Prod=P1)

# Affichage simple des variables P1
P1
mois
ProdP1

# Affichage du 4me mois et de sa production
mois[4]
P1[4]
ProdP1[4,]

# Affichage des valeurs extrmes
min(P1)
max(P1)

# Calcul de la production totale de P1 sur 1 an
Ptot <- sum(P1)
Ptot

# Calcul de la production cumule de P1 sur 1 an
Pcum <- cumsum(P1)
Pcum

# Calcul de la moyenne de production de P1
Pmoy <- mean(P1)
Pmoy

# Affichage de graphique
# Nuage de point
plot(ProdP1$Prod)
# Graphique  barre
barplot(ProdP1$Prod)
# Boite  moustache
boxplot(ProdP1$Prod) 


# Ajout des numros de mois dans ProdP1
ProdP1 <- data.frame(Mois=mois, Prod=P1, MoisNum=1:12)

# Graphique ligne avec la moyenne
plot(ProdP1$MoisNum, ProdP1$Prod, type="b",
     col="red", xlim=c(1, 12), ylim=c(0, 30), # Couleur des points et des lignes
     yaxs="i",
     main="Production lectrique mensuelle", cex.main=2, # Titre
     xlab="Mois", ylab="Courant I (A)", col.lab="blue", xaxp=c(1, 12, 11), # Label
     font.lab=2)

abline(h=mean(ProdP1$Prod), col="green", lty=2, lwd=3)
legend("topright", legend=c("Parc P1", "Valeur moyenne"), col=c("red", "green"),
       lty=1:2, cex=0.6)
text(8.5, 15, paste0("moy=", round(mean(ProdP1$Prod), 2), "(A)"), col="green",
     cex=0.8)

