library(ggplot2)
library(readxl)

Parcs <- readxl::read_excel("C:/Users/Hyperion/Documents/Ecole/ESIEE/Analyse de donnes/TP1/Parcs.xlsx")

# Ajout d'une colonne pour la puissance produite (tension de 20 kV)
Parcs <- Parcs %>%
  dplyr::mutate(Puissance=I*20000)


# Quelques graphiques avec la grammaire ggplot2
# Nuages de points
ggplot(data = Parcs)+
  aes(x = NumMois, y = Puissance, color = Parc, shape = Parc)+
  geom_point()

Graph_Nuage <- ggplot(data = Parcs)+
  aes(x = NumMois, y = Puissance/1E6, color = Parc, shape = Parc)+
  geom_point()

Graph_Nuage <- Graph_Nuage+
  ggtitle("La production lectrique", subtitle = "par parcs")+
  xlab("Mois")+
  ylab("Puissance (MW)")+
  scale_x_continuous(breaks = seq(1, 12, by=1))

Graph_Nuage+theme_bw()


# Graphique en baton
ggplot(data=Parcs, aes(x=NumMois, y=Puissance/1E6, fill=Parc))+
  geom_bar(stat="identity")+
  facet_wrap(~Parc)+
  ggtitle("La production lectrique", subtitle = "par parcs")+
  xlab("Mois")+
  ylab("Puissance (MW)")+
  scale_x_continuous(breaks=seq(1, 12, by=1))+
  theme_bw()


# Boite  moustache
Graph_moustaches <- ggplot(data = Parcs, aes(x = Parc, y = Puissance/1E6,
                                             color = Parc))+
  geom_boxplot()+
  geom_jitter(alpha = 0.2, show.legend = FALSE)+
  theme(legend.position = "bottom")+
  theme_bw()+
  ylab("Puissance (MW)")

Graph_moustaches
ggsave("Ecole\\ESIEE\\Analyse de donnes\\TP1\\Graph_moustaches.pdf", plot = Graph_moustaches, width = 11, height = 8)
